Create an on-ramp or off-ramp quote
curl --request POST \
--url https://payment.gideondevrel.xyz/api/v1/business/quotes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"direction": "offramp",
"beneficiary_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_amount": 500000.0000005
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
direction: 'offramp',
beneficiary_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
source_amount: 500000.0000005
})
};
fetch('https://payment.gideondevrel.xyz/api/v1/business/quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://payment.gideondevrel.xyz/api/v1/business/quotes"
payload = {
"direction": "offramp",
"beneficiary_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_amount": 500000.0000005
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://payment.gideondevrel.xyz/api/v1/business/quotes"
payload := strings.NewReader("{\n \"direction\": \"offramp\",\n \"beneficiary_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"source_amount\": 500000.0000005\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"direction": "offramp",
"status": "available",
"source": {
"asset": "<string>",
"currency": "<string>",
"amount": "<string>",
"chain": "base"
},
"destination": {
"asset": "<string>",
"currency": "<string>",
"amount": "<string>",
"chain": "base"
},
"fees": {
"provider": "<string>",
"platform": "<string>",
"platform_bps": 123,
"total_required": "<string>"
},
"exchange_rate": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"beneficiary_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"estimated_delivery": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": "<unknown>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": "<unknown>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": "<unknown>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": "<unknown>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": "<unknown>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": "<unknown>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": "<unknown>"
}
}Quotes
Create an on-ramp or off-ramp quote
POST
/
api
/
v1
/
business
/
quotes
Create an on-ramp or off-ramp quote
curl --request POST \
--url https://payment.gideondevrel.xyz/api/v1/business/quotes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"direction": "offramp",
"beneficiary_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_amount": 500000.0000005
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
direction: 'offramp',
beneficiary_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
source_amount: 500000.0000005
})
};
fetch('https://payment.gideondevrel.xyz/api/v1/business/quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://payment.gideondevrel.xyz/api/v1/business/quotes"
payload = {
"direction": "offramp",
"beneficiary_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_amount": 500000.0000005
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://payment.gideondevrel.xyz/api/v1/business/quotes"
payload := strings.NewReader("{\n \"direction\": \"offramp\",\n \"beneficiary_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"source_amount\": 500000.0000005\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"direction": "offramp",
"status": "available",
"source": {
"asset": "<string>",
"currency": "<string>",
"amount": "<string>",
"chain": "base"
},
"destination": {
"asset": "<string>",
"currency": "<string>",
"amount": "<string>",
"chain": "base"
},
"fees": {
"provider": "<string>",
"platform": "<string>",
"platform_bps": 123,
"total_required": "<string>"
},
"exchange_rate": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"beneficiary_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"estimated_delivery": "<string>"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": "<unknown>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": "<unknown>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": "<unknown>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": "<unknown>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": "<unknown>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": "<unknown>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": "<unknown>"
}
}Authorizations
A secret NorthFond business API key. Keep it on your server.
Headers
A unique key for this logical write operation. Reuse it when retrying the exact same request.
Required string length:
8 - 255Body
application/json
Response
Quote created
Available options:
offramp, onramp Available options:
available, consumed, expired Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I